package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.CloudCoachPaymentProgram;
import com.ym.mec.common.service.BaseService;
import org.springframework.transaction.annotation.Transactional;

public interface CloudCoachPaymentProgramService extends BaseService<Long, CloudCoachPaymentProgram> {

    /**
    * @description: 新增云教练缴费项目
     * @param cloudCoachPaymentProgram
    * @return void
    * @author zx
    * @date 2022/1/14 15:52
    */
    void add(CloudCoachPaymentProgram cloudCoachPaymentProgram);

    void auditPass(CloudCoachPaymentProgram cloudCoachPaymentProgram);

    void modify(CloudCoachPaymentProgram cloudCoachPaymentProgram);

    void audit(CloudCoachPaymentProgram cloudCoachPaymentProgram);
}